Skip to main content
`Ctrl`+`K`

# TSForwardReset

Reset the internal data structures used by forward sensitivity analysis

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSForwardReset(TS ts)

Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## See Also

TS: Scalable ODE and DAE Solvers, `TSCreate()`, `TSDestroy()`, `TSForwardSetUp()`

## Level

advanced

## Location

src/ts/interface/sensitivity/tssen.c

## Implementations

TSForwardReset_RK() in src/ts/impls/explicit/rk/rk.c
TSForwardReset_Theta() in src/ts/impls/implicit/theta/theta.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages